Package javax.media.j3d

# Class PickRay

java.lang.Object
javax.media.j3d.PickShape
javax.media.j3d.PickRay

public final class PickRay extends PickShape
PickRay is an infinite ray pick shape. It can be used as an argument to the picking methods in BranchGroup and Locale.

See Also:
  - `BranchGroup.pickAll(javax.media.j3d.PickShape)`
  - `Locale.pickAll(javax.media.j3d.PickShape)`

## Constructor Summary

Constructors
Constructor
Description
`PickRay()`
Constructs an empty PickRay.
`PickRay(javax.vecmath.Point3d origin, javax.vecmath.Vector3d direction)`
Constructs an infinite ray pick shape from the specified parameters.

## Method Summary

Modifier and Type
Method
Description
`void`
`get(javax.vecmath.Point3d origin, javax.vecmath.Vector3d direction)`
Retrieves the parameters from this PickRay.
`void`
`set(javax.vecmath.Point3d origin, javax.vecmath.Vector3d direction)`
Sets the parameters of this PickRay to the specified values.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PickRay

public PickRay()
Constructs an empty PickRay. The origin and direction of the ray are initialized to (0,0,0).

### PickRay

public PickRay(javax.vecmath.Point3d origin, javax.vecmath.Vector3d direction)
Constructs an infinite ray pick shape from the specified parameters.

Parameters:
  `origin` - the origin of the ray.
  `direction` - the direction of the ray.

## Method Details

### set

public void set(javax.vecmath.Point3d origin, javax.vecmath.Vector3d direction)
Sets the parameters of this PickRay to the specified values.

Parameters:
  `origin` - the origin of the ray.
  `direction` - the direction of the ray.

### get

public void get(javax.vecmath.Point3d origin, javax.vecmath.Vector3d direction)
Retrieves the parameters from this PickRay.

Parameters:
  `origin` - the Point3d object into which the origin will be copied.
  `direction` - the Vector3d object into which the direction will be copied.